Bug 827918 - [abrt] rhythmbox-2.96-3.fc17: rb_source_can_pause: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: rb_source_can_pause: Process /usr/bin/rhythmbox...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:7d89f2b25d3fbf942a7f6238d72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 13:44 EDT by wangliangxing
Modified: 2013-07-31 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.09 KB, text/plain)
2012-06-03 13:44 EDT, wangliangxing
no flags Details
File: maps (107.14 KB, text/plain)
2012-06-03 13:44 EDT, wangliangxing
no flags Details
File: dso_list (24.48 KB, text/plain)
2012-06-03 13:44 EDT, wangliangxing
no flags Details
File: build_ids (8.97 KB, text/plain)
2012-06-03 13:44 EDT, wangliangxing
no flags Details

  None (edit)
Description wangliangxing 2012-06-03 13:44:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        听mms电台广播时报的错
crash_function: rb_source_can_pause
executable:     /usr/bin/rhythmbox
kernel:         3.3.7-1.fc17.x86_64
pid:            3880
pwd:            /home/sanmo
time:           2012年06月04日 星期一 01时28分03秒
uid:            1000
username:       sanmo

backtrace:      Text file, 44129 bytes
build_ids:      Text file, 9184 bytes
dso_list:       Text file, 25072 bytes
maps:           Text file, 109710 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sanmo/2

core_backtrace:
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x64e20 rb_source_can_pause librhythmbox-core.so.5 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x58868 - librhythmbox-core.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x14025 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x158fb g_object_notify libgobject-2.0.so.0 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x5bb3c rb_shell_player_stop librhythmbox-core.so.5 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x5c22e - librhythmbox-core.so.5 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x5c720 - librhythmbox-core.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0xd36a4 - librhythmbox-core.so.5 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x33977 - libgstreamer-0.10.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:3f7dee0af9fcc15cc82c9e1abb2bfc1cfb95f183 0x113f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/sanmo/keyring-fCavVP
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:
:MAIL=/var/spool/mail/sanmo
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sanmo/.local/bin:/home/sanmo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sanmo
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1038
:LANG=zh_CN.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/sanmo
:SHLVL=1
:LOGNAME=sanmo
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jSsVForhgE,guid=4d716e59e83c5f7ecc5ae9aa00000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sanmo
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-sanmo-A9h9uo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1043,unix/unix:/tmp/.ICE-unix/1043
:SSH_AUTH_SOCK=/run/user/sanmo/keyring-fCavVP/ssh
:GPG_AGENT_INFO=/run/user/sanmo/keyring-fCavVP/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3880
:DESKTOP_STARTUP_ID=gnome-shell-1250-localhost.localdomain-rhythmbox-4_TIME820180

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 44988                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       44988                44988                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sanmo/.xsession-errors
:pos:	9489
:flags:	0102002
:2:/home/sanmo/.xsession-errors
:pos:	9489
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[41088]
:pos:	0
:flags:	02000002
:5:socket:[40080]
:pos:	0
:flags:	02004002
:6:socket:[41089]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[41090]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[40082]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[41167]
:pos:	0
:flags:	02004002
:13:/home/sanmo/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[41100]
:pos:	0
:flags:	02004002
:15:socket:[41166]
:pos:	0
:flags:	02004002
:16:/tmp/ffiM5dNcM (deleted)
:pos:	0
:flags:	0100002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:socket:[41168]
:pos:	0
:flags:	02004002
:19:socket:[40126]
:pos:	0
:flags:	02004002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun  4 00:30:54 localhost kernel: [ 2908.466269] rhythmbox[3718]: segfault at 7fad72490a58 ip 00007fad9293c4a0 sp 00007fff57eeafc8 error 4 in libc-2.15.so[7fad927f5000+1ac000]
:Jun  4 00:30:56 localhost abrt[4053]: Saved core dump of pid 3718 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-04-00:30:55-3718 (108494848 bytes)
:Jun  4 01:28:03 localhost kernel: [  969.715602] rhythmbox[3880]: segfault at 0 ip 000000320fa64e20 sp 00007fffff98ca58 error 4 in librhythmbox-core.so.5.0.0[320fa00000+12e000]
:Jun  4 01:28:04 localhost abrt[3990]: Saved core dump of pid 3880 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-04-01:28:03-3880 (107810816 bytes)
Comment 1 wangliangxing 2012-06-03 13:44:25 EDT
Created attachment 588901 [details]
File: backtrace
Comment 2 wangliangxing 2012-06-03 13:44:43 EDT
Created attachment 588902 [details]
File: maps
Comment 3 wangliangxing 2012-06-03 13:44:50 EDT
Created attachment 588903 [details]
File: dso_list
Comment 4 wangliangxing 2012-06-03 13:44:54 EDT
Created attachment 588904 [details]
File: build_ids
Comment 5 Peque 2012-06-10 14:33:09 EDT
Tried to play a CD...

backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 16:32:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:38:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.